Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.servlet
Class PlainCallHandler

    java.lang.Object
      org.directwebremoting.servlet.PlainCallHandler

All Implemented Interfaces:
  Handler

    public class PlainCallHandler

extends java.lang.Object
implements Handler

A Handler standard DWR calls whose replies are NOT HTML wrapped.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`PlainCallHandler()`

Method Summary
`void` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle a URL request that has been mapped to this Handler
`void` | `setPlainCallMarshaller(PlainCallMarshaller marshaller)` Setter for the Plain Javascript Marshaller
`void` | `setRemoter(Remoter remoter)` Setter for the remoter

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainCallHandler

    public PlainCallHandler()

Method Detail

### handle

    public void handle(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException

  Description copied from interface: `Handler`
  Handle a URL request that has been mapped to this Handler

  Specified by:
    `handle` in interface `Handler`
  Parameters:
    `request` - The HTTP request data
    `response` - Where we write the HTTP response data
  Throws:
    `java.io.IOException` - If the write process fails

### setPlainCallMarshaller

    public void setPlainCallMarshaller(PlainCallMarshaller marshaller)

  Setter for the Plain Javascript Marshaller

  Parameters:
    `marshaller` - The new marshaller

### setRemoter

    public void setRemoter(Remoter remoter)

  Setter for the remoter

  Parameters:
    `remoter` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD